Create an outgoing request

This endpoint creates an outgoing request.
Required role: RequestCreator.
This API can be made idempotent by generating an ID for the Request beforehand and passing it as the externalRequestId attribute

Body Params
string
required

numeric; Amount in the smallest currency unit, based on the currency decimals. Example: 1500000000000000000 WEI (smallest ETH unit) corresponds to 1.5 ETH (ETH has 18 decimals places)

string

numeric; Maximum amount of fees to be paid for the transaction. For ETH it is the maximum amount of fees to be paid per unit of gas.

string

uint64; A source should be specified. Either fromAddressId or fromWalletId. fromWalletId should be used to specify an omnibus wallet only.

string

uint64; A source should be specified. Either fromAddressId or fromWalletId. fromAddressId should be used for using an address as source.

string

uint64; A destination should be specified. Either toAddressId or toWhitelistedAddressId. To perform a batch transfer to multiple addresses, you can pass in multiple request objects in the body parameters. Each request object can specify its own toAddressId.

string

uint64; A destination should be specified. Either toAddressId or toWhitelistedAddressId.

string

numeric; Maximum gas committed to the transaction. For non-ETH chains, use feeLimit.

string

A reconciliation note can be given when initiating a request and this will be included in transaction history.

boolean

Allow use of unconfirmed funds for this transaction

boolean

If true, maximum amount of funds will be transferred, including fees. When false, fees are added on top of amount.

string

Max 256 characters external reference for the transaction.

boolean

If set to true, it will send all the funds from an address or from all the addresses of a wallet. If an address in a wallet can't pay the fees, it is skipped.

string

uint64; The id of the fee payer to use for this transaction.

extendedAmount
object
string

Deprecated: Use externalRequestId instead

string

Identifier for the request in the user's system. This must be unique. Attempting to create a request with an existing externalRequestId will do nothing and return the originally created request

string

A memo can be specified if the destination is a whitelisted address on a blockchain supporting memos.

opts
object
travelRuleDataInput
object
string

Internal protect address designated to pay for the fees. Supported on SOL token transfers.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json


  © 2026 Taurus SA. All rights reserved.